#!/bin/sh
#---------------------------------------------------------------------------
#
#	install setnetparms
#
#	last edit-date: [Wed Aug  8 10:36:33 2001]
#
#---------------------------------------------------------------------------	

installit ()
{
	dest=$2
	echo
	if [ ! -d $dest ]
	then
		echo "creating $dest ..."
		mkdir -f $dest
	fi

	if [ -f $dest/$1 ]
	then
        	if [ -f $dest/$1-BACKUP ]
	        then
        	        echo "$dest/$1-BACKUP already exists, cannot continue!"
                	echo
                	echo "Terminating setnetparm installation script!"
                	echo
			exit 1
		else
			echo "moving $dest/$1 to $dest/$1-BACKUP"
			mv $dest/$1 $dest/$1-BACKUP
		fi
	fi
	echo "installing $1 to $dest/$1"
	cp $1 $dest/$1
}

mkdir /etc/mobile
installit laptop.menu	/etc/mobile
installit laptop.curr	/etc/mobile
installit rc.conf.t	/etc/mobile
installit resolv.conf.t	/etc/mobile
installit cnc.pl	/etc/mobile
installit rc.mobile	/etc
